package com.ruoyi.nanjing.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 *  时段统计实体
 * @author limy
 * @date 2021-01-29
 */
public class ProRpList extends BaseEntity {

    private static final long serialVersionUID = 1L;
    @Excel(name = "系统条码")
    private String barcode;
    @Excel(name = "机种名称")
    private String productName;
    @Excel(name = "产品条码")
    private String semiBarcode;
    @Excel(name = "状态")
    private String state;
    @Excel(name = "当前工位")
    private String currentStation;
    @Excel(name = "NG工位")
    private String NGStation;
    @Excel(name = "完成标志")
    private String finishFlag;
    @Excel(name = "标签Y/N")
    private String namePlateInfo;
    @Excel(name = "返修Y/N")
    private String isDis;
    @Excel(name = "开始时间" ,width = 30,dateFormat = "yyyy-MM-dd")
    private Date beginTime;
    @Excel(name = "结束时间",width = 30,dateFormat = "yyyy-MM-dd")
    private Date endTime;
    private String productID;
    private String productType;
    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getSemiBarcode() {
        return semiBarcode;
    }

    public void setSemiBarcode(String semiBarcode) {
        this.semiBarcode = semiBarcode;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCurrentStation() {
        return currentStation;
    }

    public void setCurrentStation(String currentStation) {
        this.currentStation = currentStation;
    }

    public String getNGStation() {
        return NGStation;
    }

    public void setNGStation(String NGStation) {
        this.NGStation = NGStation;
    }

    public String getFinishFlag() {
        return finishFlag;
    }

    public void setFinishFlag(String finishFlag) {
        this.finishFlag = finishFlag;
    }

    public String getNamePlateInfo() {
        return namePlateInfo;
    }

    public void setNamePlateInfo(String namePlateInfo) {
        this.namePlateInfo = namePlateInfo;
    }

    public String getIsDis() {
        return isDis;
    }

    public void setIsDis(String isDis) {
        this.isDis = isDis;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("barcode", getBarcode())
                .append("productName", getProductName())
                .append("semiBarcode", getSemiBarcode())
                .append("state", getState())
                .append("currentStation", getCurrentStation())
                .append("NGStation", getNGStation())
                .append("finishFlag", getFinishFlag())
                .append("namePlateInfo", getNamePlateInfo())
                .append("isDis", getIsDis())
                .append("beginTime", getBeginTime())
                .append("endTime", getEndTime())
                .toString();
    }
}
